local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.NorthrendEasterEggsUI(container)



-- Shadowlands Tab
local function DrawGroup1(container)
 
core.BambinaEasterEgg(container)

end

-- BFA Tab
local function DrawGroup2(container)

core.TheLostHatchEasterEgg(container)

end






local function SelectGroup(container, event, group)
   container:ReleaseChildren()
   if group == "tab1" then
      DrawGroup1(container)
   elseif group == "tab2" then
      DrawGroup2(container)
   
   
   end
end


local frame = AceGUI:Create("Frame")
frame:SetTitle("Northrend - Easter Eggs")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetCallback("OnClose", function(widget) AceGUI:Release(widget) end)


frame:SetLayout("Fill")



local tab =  AceGUI:Create("TabGroup")
tab:SetLayout("Flow")
tab:SetTabs({{text="Bambina", value="tab1"}, {text="Lost Hatch", value="tab2"}})
tab:SetCallback("OnGroupSelected", SelectGroup)
tab:SelectTab("tab1")

frame:AddChild(tab)











end